Name: libmetalink
Version: 0.1.3
Release: 12
Summary: Metalink library written in C
License: MIT
URL: https://launchpad.net/libmetalink
Source0: https://launchpad.net/libmetalink/trunk/%{name}-%{version}/+download/%{name}-%{version}.tar.bz2

BuildRequires: gcc expat-devel libxml2-devel CUnit-devel autoconf automake libtool

Patch001:0001-fix-warning-_BSD_SOURCE-and-_SVID_SOURCE-are-depreca.patch
Patch002:0002-add-libmetalink-testcases-for-api-and-error-handling.patch
Patch003:0003-backport-fix-covscan-issues.patch
Patch004:0004-fix-NULL-ptr-deref-in-initial_state_start_fun.patch
Patch005:0005-fix-return-value-of-parsing-wrong-formed-metalink-fi.patch
Patch006:0006-return-error-code-when-metalink-file-misses-required.patch

%description
libmetalink is a Metalink library written in C language. It is intended to
provide the programs written in C to add Metalink functionality such as
parsing Metalink XML files.

%package devel
Summary: Files needed for developing with %{name}
Requires: %{name} = %{version}-%{release}
%description devel
Files needed for building applications with libmetalink.

%package help
Summary: document files for %{name}
Requires: %{name} = %{version}-%{release}
%description help
The %{name}-doc package contains document files.

%prep
%autosetup -p1

%build
autoreconf -i
automake --add-missing
autoconf
%configure --disable-static
%make_build

%install
rm -rf $RPM_BUILD_ROOT
%make_install
%delete_la

%check
make check

%ldconfig_scriptlets

%files
%{!?_licensedir:%global license %%doc}
%license COPYING
%doc README
%{_libdir}/libmetalink.so.*

%files devel
%dir %{_includedir}/metalink/
%{_includedir}/metalink/*.h
%{_libdir}/libmetalink.so
%{_libdir}/pkgconfig/%{name}.pc

%files help
%{_mandir}/man3/*

%changelog
* Sat Mar 26 2022 Hu Bin <hubin73@huawei.com> - 0.1.3-12
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:fix return value bug when parsing wrong formed metalink file

* Wed Mar 23 2022 Hu Bin <hubin73@huawei.com> - 0.1.3-11
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:backport patches to fix NULL pointer dereference and memory leak bug

* Tue Mar 01 2022 Hu Bin <hubin73@huawei.com> - 0.1.3-10
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:add libmetalink testcases for api and error handling, fix automake error

* Mon Jan 17 2022 Hu Bin <hubin57@huawei.com> - 0.1.3-9
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:fix warning "_BSD_SOURCE and _SVID_SOURCE are deprecated"

* Tue Sep 10 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.1.3-8
- Package init
